# -*- mode: ruby -*-

Vagrant.configure("2") do |config|
  config.vm.define "spreadsheet-local"
  config.vm.box = "ubuntu/focal64"
  config.vm.hostname = "somconnexio-vf-spreadsheet.local"

  config.vm.provider "virtualbox" do |v|
    v.name = "sc-vf-spreadsheet"
    v.memory = 1024  # TODO: To review
    v.cpus = 2
  end

  config.vm.network :private_network, ip: "192.168.33.10"
  config.vm.network "forwarded_port", guest: 8000, host: 8000  # App port
  config.vm.network "forwarded_port", guest: 15672, host: 15672  # RabbitMQ admin console

  config.vm.provision "shell" do |s|
    ssh_pub_key = File.readlines("#{Dir.home}/.ssh/id_rsa.pub").first.strip
    s.inline = <<-SHELL
      id -u spreadsheet &>/dev/null || useradd spreadsheet
      echo #{ssh_pub_key} >> /root/.ssh/authorized_keys
    SHELL
  end

  config.vm.synced_folder ".", "/vagrant", disabled: true
  config.vm.synced_folder "../somconnexio-vf-spreadsheet", "/var/www/somconnexio-vf-spreadsheet/current",
    owner: "vagrant", group: "vagrant", mount_options: ["uid=1002", "gid=1002"]
end
